Arch Truss
|
Menu location |
---|
Arch → Truss |
Workbenches |
Arch |
Default shortcut |
None |
Introduced in version |
0.19 |
See also |
None |
Description
The Arch Truss tool builds a truss object, either from a selected linear object (lie a Draft Line or Sketch), or from scratch, if no object is selected when launching the command.
Usage
Creating from a selected object
- Use a workbench of your choice to create a single line
- Select that line
- Press the
Arch Truss button
- Adjust the truss properties to your liking
Creating from scratch
- Make sure nothing is selected
- Press the
Arch Truss button
- Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
- Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
- Adjust the truss properties to your liking
Properties
Data
- DataTrussAngle: The angle of the truss
- DataSlantType: The slant type of this truss
- DataNormal: The normal direction of this truss
- DataHeightStart: The height of the truss at the start position
- DataHeightEnd: The height of the truss at the end position
- DataStrutStartOffset: An optional start offset for the top strut
- DataStrutEndOffset: An optional end offset for the top strut
- DataStrutHeight: The height of the main top and bottom elements of the truss
- DataStrutWidth: The width of the main top and bottom elements of the truss
- DataRodType: The type of the middle element of the truss
- DataRodDirection: The direction of the rods
- DataRodSize: The diameter or side of the rods
- DataRodSections: The number of rod sections
- DataRodEnd: If the truss has a rod at its endpoint or not
- DataRodMode: How to draw the rods
Scripting
The Truss tool can be used in macros and from the Python console by using the following function:
Truss = makeFence([baseobj])
Example:
import FreeCAD
import Draft
import Arch
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub